## org.ascape.query.parser
Class QTStringOperatorNode

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode
              org.ascape.query.parser.QTOperator
                  org.ascape.query.parser.QTStringOperatorNode

All Implemented Interfaces:
  Node, Validated

Direct Known Subclasses:
  QTContains, QTStartsWith

    public abstract class QTStringOperatorNode

extends QTOperator
implements Validated

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTStringOperatorNode(BoolExprTree p, int i)`
`QTStringOperatorNode(int i)`

Method Summary
`void` `validate(java.lang.Object object)`

Methods inherited from class org.ascape.query.parser.QTOperator
`evaluate`

Methods inherited from class org.ascape.query.parser.QTCriteriaSubNode
`getCriteria`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTStringOperatorNode

    public QTStringOperatorNode(int i)

### QTStringOperatorNode

    public QTStringOperatorNode(BoolExprTree p,
                                int i)

Method Detail

### validate

    public void validate(java.lang.Object object)
                  throws ParseException

  Specified by:
    `validate` in interface `Validated`
  Throws:
    `ParseException`